// package: supervisor
// file: info.proto

var info_pb = require("./info_pb");
var grpc = require("@improbable-eng/grpc-web").grpc;

var InfoService = (function () {
  function InfoService() {}
  InfoService.serviceName = "supervisor.InfoService";
  return InfoService;
}());

InfoService.WorkspaceInfo = {
  methodName: "WorkspaceInfo",
  service: InfoService,
  requestStream: false,
  responseStream: false,
  requestType: info_pb.WorkspaceInfoRequest,
  responseType: info_pb.WorkspaceInfoResponse
};

exports.InfoService = InfoService;

function InfoServiceClient(serviceHost, options) {
  this.serviceHost = serviceHost;
  this.options = options || {};
}

InfoServiceClient.prototype.workspaceInfo = function workspaceInfo(requestMessage, metadata, callback) {
  if (arguments.length === 2) {
    callback = arguments[1];
  }
  var client = grpc.unary(InfoService.WorkspaceInfo, {
    request: requestMessage,
    host: this.serviceHost,
    metadata: metadata,
    transport: this.options.transport,
    debug: this.options.debug,
    onEnd: function (response) {
      if (callback) {
        if (response.status !== grpc.Code.OK) {
          var err = new Error(response.statusMessage);
          err.code = response.status;
          err.metadata = response.trailers;
          callback(err, null);
        } else {
          callback(null, response.message);
        }
      }
    }
  });
  return {
    cancel: function () {
      callback = null;
      client.close();
    }
  };
};

exports.InfoServiceClient = InfoServiceClient;

