// package: supervisor
// file: notification.proto

import * as jspb from "google-protobuf";

export class NotifyRequest extends jspb.Message {
  getLevel(): NotifyRequest.LevelMap[keyof NotifyRequest.LevelMap];
  setLevel(value: NotifyRequest.LevelMap[keyof NotifyRequest.LevelMap]): void;

  getMessage(): string;
  setMessage(value: string): void;

  clearActionsList(): void;
  getActionsList(): Array<string>;
  setActionsList(value: Array<string>): void;
  addActions(value: string, index?: number): string;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): NotifyRequest.AsObject;
  static toObject(includeInstance: boolean, msg: NotifyRequest): NotifyRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: NotifyRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): NotifyRequest;
  static deserializeBinaryFromReader(message: NotifyRequest, reader: jspb.BinaryReader): NotifyRequest;
}

export namespace NotifyRequest {
  export type AsObject = {
    level: NotifyRequest.LevelMap[keyof NotifyRequest.LevelMap],
    message: string,
    actionsList: Array<string>,
  }

  export interface LevelMap {
    ERROR: 0;
    WARNING: 1;
    INFO: 2;
  }

  export const Level: LevelMap;
}

export class NotifyResponse extends jspb.Message {
  getAction(): string;
  setAction(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): NotifyResponse.AsObject;
  static toObject(includeInstance: boolean, msg: NotifyResponse): NotifyResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: NotifyResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): NotifyResponse;
  static deserializeBinaryFromReader(message: NotifyResponse, reader: jspb.BinaryReader): NotifyResponse;
}

export namespace NotifyResponse {
  export type AsObject = {
    action: string,
  }
}

export class SubscribeRequest extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SubscribeRequest.AsObject;
  static toObject(includeInstance: boolean, msg: SubscribeRequest): SubscribeRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: SubscribeRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SubscribeRequest;
  static deserializeBinaryFromReader(message: SubscribeRequest, reader: jspb.BinaryReader): SubscribeRequest;
}

export namespace SubscribeRequest {
  export type AsObject = {
  }
}

export class SubscribeResponse extends jspb.Message {
  getRequestid(): number;
  setRequestid(value: number): void;

  hasRequest(): boolean;
  clearRequest(): void;
  getRequest(): NotifyRequest | undefined;
  setRequest(value?: NotifyRequest): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SubscribeResponse.AsObject;
  static toObject(includeInstance: boolean, msg: SubscribeResponse): SubscribeResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: SubscribeResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SubscribeResponse;
  static deserializeBinaryFromReader(message: SubscribeResponse, reader: jspb.BinaryReader): SubscribeResponse;
}

export namespace SubscribeResponse {
  export type AsObject = {
    requestid: number,
    request?: NotifyRequest.AsObject,
  }
}

export class RespondRequest extends jspb.Message {
  getRequestid(): number;
  setRequestid(value: number): void;

  hasResponse(): boolean;
  clearResponse(): void;
  getResponse(): NotifyResponse | undefined;
  setResponse(value?: NotifyResponse): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): RespondRequest.AsObject;
  static toObject(includeInstance: boolean, msg: RespondRequest): RespondRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: RespondRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): RespondRequest;
  static deserializeBinaryFromReader(message: RespondRequest, reader: jspb.BinaryReader): RespondRequest;
}

export namespace RespondRequest {
  export type AsObject = {
    requestid: number,
    response?: NotifyResponse.AsObject,
  }
}

export class RespondResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): RespondResponse.AsObject;
  static toObject(includeInstance: boolean, msg: RespondResponse): RespondResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: RespondResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): RespondResponse;
  static deserializeBinaryFromReader(message: RespondResponse, reader: jspb.BinaryReader): RespondResponse;
}

export namespace RespondResponse {
  export type AsObject = {
  }
}

export class NotifyActiveRequest extends jspb.Message {
  hasOpen(): boolean;
  clearOpen(): void;
  getOpen(): NotifyActiveRequest.OpenData | undefined;
  setOpen(value?: NotifyActiveRequest.OpenData): void;

  hasPreview(): boolean;
  clearPreview(): void;
  getPreview(): NotifyActiveRequest.PreviewData | undefined;
  setPreview(value?: NotifyActiveRequest.PreviewData): void;

  getActionDataCase(): NotifyActiveRequest.ActionDataCase;
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): NotifyActiveRequest.AsObject;
  static toObject(includeInstance: boolean, msg: NotifyActiveRequest): NotifyActiveRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: NotifyActiveRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): NotifyActiveRequest;
  static deserializeBinaryFromReader(message: NotifyActiveRequest, reader: jspb.BinaryReader): NotifyActiveRequest;
}

export namespace NotifyActiveRequest {
  export type AsObject = {
    open?: NotifyActiveRequest.OpenData.AsObject,
    preview?: NotifyActiveRequest.PreviewData.AsObject,
  }

  export class OpenData extends jspb.Message {
    clearUrlsList(): void;
    getUrlsList(): Array<string>;
    setUrlsList(value: Array<string>): void;
    addUrls(value: string, index?: number): string;

    getAwait(): boolean;
    setAwait(value: boolean): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): OpenData.AsObject;
    static toObject(includeInstance: boolean, msg: OpenData): OpenData.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: OpenData, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): OpenData;
    static deserializeBinaryFromReader(message: OpenData, reader: jspb.BinaryReader): OpenData;
  }

  export namespace OpenData {
    export type AsObject = {
      urlsList: Array<string>,
      await: boolean,
    }
  }

  export class PreviewData extends jspb.Message {
    getUrl(): string;
    setUrl(value: string): void;

    getExternal(): boolean;
    setExternal(value: boolean): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): PreviewData.AsObject;
    static toObject(includeInstance: boolean, msg: PreviewData): PreviewData.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: PreviewData, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): PreviewData;
    static deserializeBinaryFromReader(message: PreviewData, reader: jspb.BinaryReader): PreviewData;
  }

  export namespace PreviewData {
    export type AsObject = {
      url: string,
      external: boolean,
    }
  }

  export enum ActionDataCase {
    ACTION_DATA_NOT_SET = 0,
    OPEN = 1,
    PREVIEW = 2,
  }
}

export class NotifyActiveResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): NotifyActiveResponse.AsObject;
  static toObject(includeInstance: boolean, msg: NotifyActiveResponse): NotifyActiveResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: NotifyActiveResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): NotifyActiveResponse;
  static deserializeBinaryFromReader(message: NotifyActiveResponse, reader: jspb.BinaryReader): NotifyActiveResponse;
}

export namespace NotifyActiveResponse {
  export type AsObject = {
  }
}

export class SubscribeActiveRequest extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SubscribeActiveRequest.AsObject;
  static toObject(includeInstance: boolean, msg: SubscribeActiveRequest): SubscribeActiveRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: SubscribeActiveRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SubscribeActiveRequest;
  static deserializeBinaryFromReader(message: SubscribeActiveRequest, reader: jspb.BinaryReader): SubscribeActiveRequest;
}

export namespace SubscribeActiveRequest {
  export type AsObject = {
  }
}

export class SubscribeActiveResponse extends jspb.Message {
  getRequestid(): number;
  setRequestid(value: number): void;

  hasRequest(): boolean;
  clearRequest(): void;
  getRequest(): NotifyActiveRequest | undefined;
  setRequest(value?: NotifyActiveRequest): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SubscribeActiveResponse.AsObject;
  static toObject(includeInstance: boolean, msg: SubscribeActiveResponse): SubscribeActiveResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: SubscribeActiveResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SubscribeActiveResponse;
  static deserializeBinaryFromReader(message: SubscribeActiveResponse, reader: jspb.BinaryReader): SubscribeActiveResponse;
}

export namespace SubscribeActiveResponse {
  export type AsObject = {
    requestid: number,
    request?: NotifyActiveRequest.AsObject,
  }
}

export class NotifyActiveRespondRequest extends jspb.Message {
  getRequestid(): number;
  setRequestid(value: number): void;

  hasResponse(): boolean;
  clearResponse(): void;
  getResponse(): NotifyActiveResponse | undefined;
  setResponse(value?: NotifyActiveResponse): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): NotifyActiveRespondRequest.AsObject;
  static toObject(includeInstance: boolean, msg: NotifyActiveRespondRequest): NotifyActiveRespondRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: NotifyActiveRespondRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): NotifyActiveRespondRequest;
  static deserializeBinaryFromReader(message: NotifyActiveRespondRequest, reader: jspb.BinaryReader): NotifyActiveRespondRequest;
}

export namespace NotifyActiveRespondRequest {
  export type AsObject = {
    requestid: number,
    response?: NotifyActiveResponse.AsObject,
  }
}

export class NotifyActiveRespondResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): NotifyActiveRespondResponse.AsObject;
  static toObject(includeInstance: boolean, msg: NotifyActiveRespondResponse): NotifyActiveRespondResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: NotifyActiveRespondResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): NotifyActiveRespondResponse;
  static deserializeBinaryFromReader(message: NotifyActiveRespondResponse, reader: jspb.BinaryReader): NotifyActiveRespondResponse;
}

export namespace NotifyActiveRespondResponse {
  export type AsObject = {
  }
}

